İçeriğe geç

Pika Text to Video (v2.2)

Entegre et

Model kimliği pika/v2.2/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,20 200 API kredisi · ≈ ₽21,52 Bu sayfada çalıştır

API anahtarı al
Pika Metinden Videoya 5–10 s1080p değerine kadar #editing#effects#animation

5 veya 10 saniyelik klipler, yedi en-boy oranı ve 720p veya 1080p ile sürüm 2.2'de metinden video

Pika · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli
duration 5 s

Saniye cinsinden ölçülen çıktı video uzunluğu.

aspect_ratio varsayılan 16:9

Çıktı videosunun en-boy oranı.

resolution varsayılan 720p

Çıktı videosunun çözünürlüğü.

Gelişmiş negative_prompt · seed · enable_safety_checker
varsayılan ugly, bad, terrible

Model yönlendirmesi için kullanılan negatif istem.

Rastgele sayı üreteci tarafından kullanılan seed değeri.

POST /run/pika/v2.2/text-to-video?wait=20 fiyat → $0,20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2.2/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Pika Text to Video (v2.2) hakkında

Metin `prompt`'undan video oluşturur. Süre 5 veya 10 saniye, çözünürlük 720p veya 1080p olabilir; `aspect_ratio` ise 16:9, 9:16, 1:1, 4:5, 5:4, 3:2 veya 2:3 değerlerinden biri olmalıdır. Varsayılan `negative_prompt`, genel kalite terimlerinden oluşan kısa bir listedir; `seed` sağlanabilir.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
seedisteğe bağlı
Türinteger | null
Rastgele sayı üreteci tarafından kullanılan seed değeri.
negative_promptisteğe bağlı
Türstring
Varsayılanugly, bad, terrible
Model yönlendirmesi için kullanılan negatif istem.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
16:99:161:14:55:43:22:3
Çıktı videosunun en-boy oranı.
resolutionisteğe bağlı
Türenum
Varsayılan720p
1080p720p
Çıktı videosunun çözünürlüğü.
durationisteğe bağlı
Türenum
Varsayılan5
510
Saniye cinsinden ölçülen çıktı video uzunluğu.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pika/v2.2/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/pika/v2.2/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt